/*
 * Copyright 2018 NXP
 *
 * SPDX-License-Identifier:	GPL-2.0+
 */

#ifndef SMARCIMX8QM_ANDROID_AUTO_XEN_H
#define SMARCIMX8QM_ANDROID_AUTO_XEN_H

#undef CONFIG_SYS_SDRAM_BASE
#undef CONFIG_NR_DRAM_BANKS
#undef PHYS_SDRAM_1
#undef PHYS_SDRAM_2
#undef PHYS_SDRAM_1_SIZE
#undef PHYS_SDRAM_2_SIZE

#define CONFIG_SYS_SDRAM_BASE		0x80000000
#define CONFIG_NR_DRAM_BANKS		2
#define PHYS_SDRAM_1			0x80000000
#define PHYS_SDRAM_2			0x200000000
#define PHYS_SDRAM_1_SIZE		0x80000000	/* 2 GB */
#define PHYS_SDRAM_2_SIZE		0x50000000	/* 1024 + 256 MB */

#undef CONFIG_LOADADDR
#define CONFIG_LOADADDR			0x80080000
#undef CONFIG_SYS_INIT_SP_ADDR
#define CONFIG_SYS_INIT_SP_ADDR		0x81200000

#undef CONFIG_REQUIRE_SERIAL_CONSOLE
#undef CONFIG_IMX_SMMU

#undef CONFIG_FASTBOOT_USB_DEV
#define CONFIG_FASTBOOT_USB_DEV 0 /* Use OTG port, not typec port */

#ifdef CONFIG_SPL_BUILD
#undef CONFIG_SPL_BSS_START_ADDR
#undef CONFIG_SYS_SPL_MALLOC_START
#undef CONFIG_MALLOC_F_ADDR
#undef CONFIG_SPL_TEXT_BASE
#undef CONFIG_SPL_STACK

#define CONFIG_MALLOC_F_ADDR		0x80100000
#define CONFIG_SYS_SPL_MALLOC_START	0x80200000
#define CONFIG_SPL_BSS_START_ADDR	0x80300000
#define CONFIG_SPL_STACK		0x80400000

#undef CONFIG_SYS_SPL_PTE_RAM_BASE
#define CONFIG_SYS_SPL_PTE_RAM_BASE	0x80500000
#endif

#endif /* SMARCIMX8QM_ANDROID_AUTO_XEN_H */
